Bug 122990 - Crash after trying to switch to Notebookbar (GTK3)
Summary: Crash after trying to switch to Notebookbar (GTK3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Julien Nabet
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-01-26 12:41 UTC by Buovjaga
Modified: 2019-01-28 08:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (12.01 KB, text/plain)
2019-01-27 14:26 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2019-01-26 12:41:54 UTC
0. Use GTK3 backend
1. Open Writer or Calc
2. View - User Interface - Tabbed or Groupedbar compact

I was unable to get a backtrace - got this: BFD: /home/user/libreoffice/workdir/CxxObject/desktop/source/app/officeipcthread.dwo: unable to initialize decompress status for section .debug_info.dwo
I guess I should do a make distclean.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 1a5340788639ba71725338ddc5d340b2b304f4c2
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 26 January 2019
Comment 1 MM 2019-01-26 21:24:09 UTC
Unconfirmed on mint 19.1 with Version: 6.3.0.0.alpha0+
Build ID: 3424004cca7cb61043800f0ff0acc9de64768276
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-26_00:45:09
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Julien Nabet 2019-01-27 14:26:32 UTC
Created attachment 148685 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I got an assert when trying to reproduce.
(soffice:10331): Gtk-CRITICAL **: 15:06:58.909: gtk_widget_get_style_context: assertion 'GTK_IS_WIDGET (widget)' failed

I did:
export G_DEBUG=fatal_warnings
Comment 3 Buovjaga 2019-01-27 15:00:25 UTC
I had written this before Julien commented:
I just did a make distclean and a new build, but no help.

I build with
--enable-gdb-index
--enable-ld=gold
--enable-split-debug

It seems the BFD problem preventing taking a backtrace is a binutils bug:
https://bbs.archlinux.org/viewtopic.php?id=242682
https://sourceware.org/bugzilla/show_bug.cgi?id=23919

It is solved in the next version of binutils, which will be released in 1 week: https://sourceware.org/ml/binutils/2019-01/msg00149.html

I wonder, if the bug could be behind the crash as well, as MM was unable to repro on the Tinderbox build.
Comment 4 Julien Nabet 2019-01-27 15:03:53 UTC
Just for information, I submitted this patch to review:
https://gerrit.libreoffice.org/#/c/66973/
Comment 5 Buovjaga 2019-01-27 15:29:23 UTC
(In reply to Julien Nabet from comment #4)
> Just for information, I submitted this patch to review:
> https://gerrit.libreoffice.org/#/c/66973/

Thanks, the crash is gone with this!
Comment 6 Commit Notification 2019-01-27 21:28:26 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6da3cd5521ffba2f6502929260d33c91ec56d556%5E%21

tdf#122990: return if no mpMenuBarContainerWidget in ApplyPersona

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-01-27 22:00:56 UTC
Indeed, this is a regression introduced by https://gerrit.libreoffice.org/plugins/gitiles/core/+/46efac592b76d32152353466120eea2c9800858f%5E%21
Comment 8 Xisco Faulí 2019-01-27 22:12:48 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 6da3cd5521ffba2f6502929260d33c91ec56d556
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Julien Nabet, thanks for fixing this!!
Comment 9 Julien Nabet 2019-01-28 07:59:37 UTC
For 6.2, patch is on review here:
https://gerrit.libreoffice.org/#/c/66976/
Comment 10 Commit Notification 2019-01-28 08:54:17 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/1d64946c073f5a244fd115ec1dfb3dcb09c9313d%5E%21

tdf#122990: return if no mpMenuBarContainerWidget in ApplyPersona

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.